function Kernel = CreateHannSincKernel(Radius, Sampling)
% Kernel = HannSincKernel ( Radius, Sampling )
%   Create a sinc kernel for resampling based on a width and
%   sampling frequency.  The kernel is Hann windowed.  

n = floor(Radius * Sampling);
x = (Radius / n) * (0:n);
y = sinc ( x );
sinckernel = {Radius y};
alpha = 0.5;
HannWindow = alpha + (1-alpha) * cos ( 2 * pi * (0:n) / ( 2*n - 1) );
Kernel = {Radius y.*HannWindow};
