function Coefficients = FitSpheres ( Y, X, DEG )
%Y is input vector of where spheres were located -- number of rows is
%   number of spheres, number of columns is three.
%X is input vector of where spheres are 'supposed' to be -- number of rows
%   is number of spheres, number of columns is three.
%Coefficients is the output -- a matrix with number of rows equal to the
%   total number of terms being fit to -- 10 for a 2nd order polynomial
%   fit, for example. There are three columns: one for each dimension x,y,
%   and z of the 'y' data being fit.


  % DEG=2; %degree of polynomial
  
  dim=size(Y);
  NumSpheres=dim(1);
  
  %G=zeros(NumSpheres,(DEG+1)^3); %Incorrect size. See correction
  numTerms=(DEG+1)*(DEG+2)*(DEG+3)/6; %See computation notebood 11/2/05
  G=zeros(NumSpheres,numTerms);
  
  for indx=1:NumSpheres
    G(indx,:)=EvalRowG(X(indx,:), DEG); %Function returns a row of G
  end
  
  % Fit to the error
  Coefficients = G\(Y-X);
    
    

