function [PhantomInformation, LabeledImage] = RemoveFalsePositives ( Spheres, ExpectedSpheres, LabeledImage )

  
% Find and "extra" spheres
  

% Do a closest point to find the matches
Map = zeros ( length(ExpectedSpheres.Spheres), 1 );
Distance = Map;

EPositions = [ExpectedSpheres.Spheres.CanonicalCOM]';
SPositions = [Spheres.Spheres.CanonicalCOM]';
for ii = 1:length(ExpectedSpheres.Spheres)
  DTemp = SPositions - repmat ( EPositions(ii,:), size(SPositions,1), 1 );
  DTemp = sqrt ( sum ( DTemp.^2, 2 ) );
  [y,idx] = min ( DTemp );
  Distance(ii) = y;
  Map(ii) = idx;
end


% Find anything not in the map
NotIn = [];
In = [];
for ii = 1:length(Spheres.Spheres)
  if isempty ( find ( Map == ii ) )
    NotIn = [NotIn ii];
  else
    In = [In ii];
  end
end

PhantomInformation = Spheres;
PhantomInformation.Spheres = PhantomInformation.Spheres(In);

NotIn=fliplr(sort(NotIn));
% in case we have more than one element we need to pick them off in 
% descending order
for value = NotIn
  Idx = find ( LabeledImage(:) == value );
  LabeledImage(Idx) = 0;
  if PhantomInformation.SNRSphereIndex>=value
        PhantomInformation.SNRSphereIndex=PhantomInformation.SNRSphereIndex-1;
  end  
  Idx= find(PhantomInformation.CNRSphereIndex(:)>=value);   
  PhantomInformation.CNRSphereIndex(Idx)=PhantomInformation.CNRSphereIndex(Idx)-1;
  Idx= find(PhantomInformation.FiducialSphereIndex(:)>=value);
  PhantomInformation.FiducialSphereIndex(Idx)=PhantomInformation.FiducialSphereIndex(Idx)-1;
end
% fiducial sphere index array should have correct values in it but it 
% should still be too long with length(NotIn) redundant copies --
% unique-ify
PhantomInformation.FiducialSphereIndex=unique(PhantomInformation.FiducialSphereIndex);

for value = NotIn
  Idx = find ( LabeledImage(:) > value );
  LabeledImage(Idx) = LabeledImage(Idx) - 1;
end
