function Uout = SphericalHarmonicsValue ( X, T )
% Uout = SphericalHarmonicsValue ( X, T )
% SphericalHarmonicsValue conforms to the FOWARD_FNC of maketform.
% T is a structure returned by SphericalHarmonics.
  
if isfield ( T, 'tdata' )
  W = T.tdata;
else
  W = T;
end

load GradWarpCoefficients.mat

  x = X(:,1);
  y = X(:,2);
  z = X(:,3);  
  N = size ( X, 1 );
  
  idx = 1;
  Ax = zeros ( N, length ( W.Coefficients ) );
  Ay = zeros ( N, length ( W.Coefficients ) );
  Az = zeros ( N, length ( W.Coefficients ) );
  for kk = W.Coefficients
    Ax(:,idx) = W.sx(idx) * eval ( Hx{kk} );
    Ay(:,idx) = W.sy(idx) * imag ( eval ( Hy{kk} ) );
    Az(:,idx) = W.sz(idx) * eval ( Hz{kk} );
    idx = idx + 1;
  end    
  
  Uout = [sum(Ax,2) sum(Ay,2) sum(Az,2)] + X;
  